Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::VisibilityGroup Class Reference

Inheritance diagram for osgSim::VisibilityGroup:

[legend]
List of all members.

## Public Member Functions
| VisibilityGroup ()
| VisibilityGroup (const VisibilityGroup &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Node (osgSim, VisibilityGroup)
virtual void | traverse (osg::NodeVisitor &nv)
| Traverse downwards : calls children's accept method with NodeVisitor.
void | setVisibilityVolume (osg::Node *node)
osg::Node * | getVisibilityVolume ()
const osg::Node * | getVisibilityVolume () const
void | setVolumeIntersectionMask (osg::Node::NodeMask mask)
osg::Node::NodeMask | getVolumeIntersectionMask () const
void | setSegmentLength (float length)
float | getSegmentLength () const
## Protected Member Functions
virtual | ~VisibilityGroup ()
## Protected Attributes
osg::ref_ptr< osg::Node > | _visibilityVolume
osg::Node::NodeMask | _volumeIntersectionMask
float | _segmentLength

## Constructor & Destructor Documentation

osgSim::VisibilityGroup::VisibilityGroup | ( |  | ) |

osgSim::VisibilityGroup::VisibilityGroup | ( | const VisibilityGroup & | ,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osgSim::VisibilityGroup::~VisibilityGroup | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

float osgSim::VisibilityGroup::getSegmentLength | ( |  | ) | const`[inline]`

const osg::Node* osgSim::VisibilityGroup::getVisibilityVolume | ( |  | ) | const`[inline]`

osg::Node* osgSim::VisibilityGroup::getVisibilityVolume | ( |  | ) | `[inline]`

osg::Node::NodeMask osgSim::VisibilityGroup::getVolumeIntersectionMask | ( |  | ) | const`[inline]`

osgSim::VisibilityGroup::META_Node | ( | osgSim | ,
|  | VisibilityGroup |
| ) |

void osgSim::VisibilityGroup::setSegmentLength | ( | float | length | ) | `[inline]`

void osgSim::VisibilityGroup::setVisibilityVolume | ( | osg::Node * | node | ) | `[inline]`

void osgSim::VisibilityGroup::setVolumeIntersectionMask | ( | osg::Node::NodeMask | mask | ) | `[inline]`

virtual void osgSim::VisibilityGroup::traverse | ( | osg::NodeVisitor & | nv | ) | `[virtual]`

| Traverse downwards : calls children's accept method with NodeVisitor. Reimplemented from osg::Group.

## Member Data Documentation

float osgSim::VisibilityGroup::_segmentLength`[protected]`

osg::ref_ptr<osg::Node> osgSim::VisibilityGroup::_visibilityVolume`[protected]`

osg::Node::NodeMask osgSim::VisibilityGroup::_volumeIntersectionMask`[protected]`

The documentation for this class was generated from the following file:

- VisibilityGroup